Subject: Re: PG catalog

From: Tom Lane <[email-masked]>
Date: Fri, 24 May 2024 09:57:36 -0400

"Karki, Sanjay" <[email-masked]> writes:
> I need to grant select on privilege in pg_catalog to user so I can connect via Toad Data point ,

Why do you think you need to do that?  Most catalogs have public
select privilege already, and for the ones that don't, there are
very good reasons why not.  I don't know what "Toad Data point"
is, but if it thinks it needs more privilege than is normally
granted, you should be asking very pointed questions about why
and why that shouldn't be considered a security breach.

(Usually we get complaints that the default permissions on the
catalogs are too loose, not too tight.)

			regards, tom lane